Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 353848 - media-video/vlc-1.1.7 fails to compile with libnotify >= 0.7 (patch included)
Summary: media-video/vlc-1.1.7 fails to compile with libnotify >= 0.7 (patch included)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High blocker (vote)
Assignee: Alexis Ballier
URL:
Whiteboard:
Keywords: Inclusion
Depends on:
Blocks:
 
Reported: 2011-02-06 13:50 UTC by Stefan Hübner
Modified: 2011-03-15 22:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Fix compability with libnotify-0.7 (vlc-1.1.7-libnotify-0.7.patch,1.09 KB, patch)
2011-02-06 14:03 UTC, Samuli Suominen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Hübner 2011-02-06 13:50:58 UTC
vlc-1.1.7 with USE=libnotify fails to build on my system.  Line 315 in "modules/misc/notify/notify.c" contains a trailing ", NULL" too much.

reproducible: always
fix - edit/patch modules/misc/notify/notify.c

315c315
<                                             psz_temp, NULL, NULL );
---
>                                             psz_temp, NULL );


Please include this patch so it works out of the box again.  P.S.: I have not checked if this may have any side effects.
Comment 1 Samuli Suominen gentoo-dev 2011-02-06 14:03:11 UTC
Created attachment 261642 [details, diff]
Fix compability with libnotify-0.7

This works with any of libnotify-0.4.x, 0.5.x, or 0.7.x

Would have committed it in Portage but the package is using patch tarball, so I'm leaving it to the maintainer to include.
Comment 2 Samuli Suominen gentoo-dev 2011-02-13 10:13:02 UTC
@aballier: git is broken too, have not yet posted this upstream
Comment 3 Alexis Ballier gentoo-dev 2011-02-17 14:47:00 UTC
please send the patch, i'll happily backport it and wont do anything until it reached upstream...

it'll take me less than a minute to send it too but you'll lose authorship
Comment 4 Samuli Suominen gentoo-dev 2011-02-17 16:33:03 UTC
(In reply to comment #3)
> please send the patch, i'll happily backport it and wont do anything until it
> reached upstream...
> 
> it'll take me less than a minute to send it too but you'll lose authorship
> 

I don't care about credits.  If you can submit it that'd be great.
Comment 5 Stefan Hübner 2011-02-18 22:20:08 UTC
Thank you for your work!  Good job.
Comment 6 Alexis Ballier gentoo-dev 2011-02-19 12:22:55 UTC
fixed upstream in git, backported to 1.1.7, thanks
Comment 7 Jesús Guerrero Botella (RETIRED) gentoo-dev 2011-03-15 22:28:25 UTC
(In reply to comment #6)
> fixed upstream in git, backported to 1.1.7, thanks

Version in portage still fails to compile, it has been failing now for a long time. Can't we just get the dependencies fixed while the new version arrives into portage?

$ diff -U3 /usr/portage/media-video/vlc/vlc-1.1.7.ebuild /var/lib/portage/local_overlay/media-video/vlc/vlc-1.1.7.ebuild
--- /usr/portage/media-video/vlc/vlc-1.1.7.ebuild       2011-02-19 13:31:18.000000000 +0100
+++ /var/lib/portage/local_overlay/media-video/vlc/vlc-1.1.7.ebuild     2011-03-15 23:18:06.773349851 +0100
@@ -91,7 +91,7 @@
                kate? ( >=media-libs/libkate-0.1.1 )
                libass? ( >=media-libs/libass-0.9.6 media-libs/fontconfig )
                libcaca? ( >=media-libs/libcaca-0.99_beta14 )
-               libnotify? ( x11-libs/libnotify )
+               libnotify? ( <x11-libs/libnotify-0.7 )
                libproxy? ( net-libs/libproxy )
                libtiger? ( media-libs/libtiger )
                lirc? ( app-misc/lirc )
Comment 8 Alexis Ballier gentoo-dev 2011-03-15 22:34:30 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > fixed upstream in git, backported to 1.1.7, thanks
> 
> Version in portage still fails to compile, it has been failing now for a long
> time. Can't we just get the dependencies fixed while the new version arrives
> into portage?

certainly not, last time i tried it was fixed anyway... maybe your tree is out of date